### Function

# Gtk PaperSize new_custom

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_custom (
      const char* name,
      const char* display_name,
      double width,
      double height,
      GtkUnit unit
    )

#### Description [src]

Creates a new `GtkPaperSize` object with the given parameters.

#### Parameters

`name` | `const char*`
| The paper name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`display_name` | `const char*`
| The human-readable name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`width` | `double`
| The paper width, in units of `unit`.
`height` | `double`
| The paper height, in units of `unit`.
`unit` | `GtkUnit`
| The unit for `width` and `height`. not `GTK_UNIT_NONE`.

#### Return value

Returns: | `GtkPaperSize`
| A new `GtkPaperSize` object, use gtk_paper_size_free() to free it.
| The caller of the function takes ownership of the data, and is responsible for freeing it.